post
https://partner.gupshup.io/partner/bizgate/app//group
Creates a new WhatsApp group on the app with the subject and initial members supplied in the request.
Request parameters
Path parameters
| Key | Description | Values | Data Type | Required/Optional |
|---|---|---|---|---|
| appId | Identifier of the WhatsApp app the call acts on. | 6f414190-d45c-4671-bca1-fb6c3018cb13 | String | Required |
Body
| Key | Description | Values | Data Type | Required/Optional |
|---|---|---|---|---|
| messaging_product | Always "whatsapp" | — | Required | |
| subject | Group name shown to participants | My WhatsApp Group | — | Required |
| description | Group description | Group description | — | Optional |
Sample cURL — Create WhatsApp group.
curl --request POST \
--url 'https://partner.gupshup.io/partner/bizgate/app/6f414190-d45c-4671-bca1-fb6c3018cb13/group' \
--header 'Authorization: Bearer <UT>' \
--header 'Accept: application/json' \
--header 'Content-Type: application/json' \
--data '{
"messaging_product" : "whatsapp",
"subject" : "My WhatsApp Group",
"description" : "Group description"
}'Sample success response (200)
{
"status": "success",
"data": {
"messaging_product": "whatsapp",
"request_id": "0D4B30CD472BE1A554C75072A5311AB4"
}
}Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…